Subject: Re: bug#34819: 26.1; Blank help-echo tooltips for mode line menus

From: Phil Sainty <[email-masked]>
Date: Thu, 14 Mar 2019 00:52:43 +1300

On 13/03/19 11:31 PM, Eli Zaretskii wrote:
> On March 13, 2019 8:37:19 AM GMT+02:00, Phil Sainty <[email-masked]> wrote:
>> On 2019-03-13 10:06, Glenn Morris wrote:
>>> Bisected to c29071587c64efb30792bd72248d3c791abd9337.
>>
>> I can confirm that for the current master, if I comment out parts
>> of configure.ac as below before building, the problem goes away.
>>
>> ### Use Xdbe (-lXdbe) if available
>> HAVE_XDBE=no
>> ### if test "${HAVE_X11}" = "yes"; then
>> ###   AC_CHECK_HEADER(X11/extensions/Xdbe.h,
>> ###     [AC_CHECK_LIB(Xext, XdbeAllocateBackBufferName, HAVE_XDBE=yes)],
>> ###     [],
>> ###     [#include <X11/Xlib.h>
>> ###     ])
>> ###   if test $HAVE_XDBE = yes; then
>> ###     XDBE_LIBS=-lXext
>> ###   fi
>> ###   if test $HAVE_XDBE = yes; then
>> ###     AC_DEFINE(HAVE_XDBE, 1, [Define to 1 if you have the Xdbe extension.])
>> ###   fi
>> ### fi
>> AC_SUBST(XDBE_CFLAGS)
>> AC_SUBST(XDBE_LIBS)
> 
> Which probably means the root cause is not double buffering itself,
> but some other change included in that commit.  I wonder if you can
> audit the changes and try to identify potential culprits.

That code is well outside of my areas of expertise, so I'm not confident
that I'd figure it out very easily.

I'm CCing this to Daniel Colascione -- I don't imagine anyone else is
more familiar with that code than he is, so if anyone can intuitively
narrow down the possible culprits here, it would likely be him.

(Daniel, https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34819 for full
context.)

-Phil